import * as config from './MediaTypes.js';
export declare function fileSummarySelect(): {
    entryId: import("../pages/Expr.js").Expr<string>;
    i18nId: import("../pages/Expr.js").Expr<string>;
    type: import("../pages/Expr.js").Expr<string>;
    workspace: import("../pages/Expr.js").Expr<string>;
    root: import("../pages/Expr.js").Expr<string>;
    title: import("../pages/Expr.js").Expr<string>;
    extension: import("alinea/field/hidden").HiddenField<string>;
    size: import("alinea/field/hidden").HiddenField<number>;
    preview: import("alinea/field/hidden").HiddenField<string>;
    thumbHash: import("alinea/field/hidden").HiddenField<string>;
    averageColor: import("alinea/field/hidden").HiddenField<string>;
    focus: import("alinea/field/hidden").HiddenField<{
        x: number;
        y: number;
    }>;
    width: import("alinea/field/hidden").HiddenField<number>;
    height: import("alinea/field/hidden").HiddenField<number>;
    parents: import("../pages/Cursor.js").Cursor.Find<{
        entryId: string;
        i18nId: string;
        title: string;
    }>;
};
export type MediaLibrary = config.MediaLibrary;
export declare const MediaLibrary: typeof config.MediaLibrary;
export type MediaFile = config.MediaFile;
export declare const MediaFile: typeof config.MediaFile;
