import { Atom } from 'jotai';
export interface LoaderState<T> {
    data?: T;
    error?: Error;
    isError: boolean;
    isLoading: boolean;
    isSuccess: boolean;
}
export declare function loader<Value>(asynAtom: Atom<Promise<Value>>): import("jotai").WritableAtom<(get: <Value>(atom: Atom<Value>) => Value, { setSelf }: {
    readonly signal: AbortSignal;
    readonly setSelf: <A extends unknown[]>(...args: A) => unknown;
}) => LoaderState<Value_1>, [value: Value_1], void> & {
    init: (get: <Value>(atom: Atom<Value>) => Value, { setSelf }: {
        readonly signal: AbortSignal;
        readonly setSelf: <A extends unknown[]>(...args: A) => unknown;
    }) => LoaderState<Value_1>;
};
