import { Projection } from 'alinea/core/pages/Projection';
export declare function entrySummaryQuery(): {
    entryId: import("alinea/core/pages/Expr").Expr<string>;
    i18nId: import("alinea/core/pages/Expr").Expr<string>;
    type: import("alinea/core/pages/Expr").Expr<string>;
    workspace: import("alinea/core/pages/Expr").Expr<string>;
    root: import("alinea/core/pages/Expr").Expr<string>;
    title: import("alinea/core/pages/Expr").Expr<string>;
    parents({ parents }: import("alinea/core/pages/Cursor").Tree): import("alinea/core/pages/Cursor").Cursor.Find<{
        entryId: string;
        i18nId: string;
        title: string;
    }>;
    childrenAmount({ children }: import("alinea/core/pages/Cursor").Tree): import("alinea/core/pages/Cursor").Cursor<number>;
};
export declare const EntrySummaryRow: import("alinea/core/View").View<unknown, {
    entryId: string;
    i18nId: string;
    type: string;
    workspace: string;
    root: string;
    title: string;
    parents: {
        entryId: string;
        i18nId: string;
        title: string;
    }[];
    childrenAmount: number;
}, Projection>;
export declare const EntrySummaryThumb: import("alinea/core/View").View<unknown, {
    entryId: string;
    i18nId: string;
    type: string;
    workspace: string;
    root: string;
    title: string;
    parents: {
        entryId: string;
        i18nId: string;
        title: string;
    }[];
    childrenAmount: number;
}, Projection>;
